
#property show_inputs

extern double Lots = .15;
extern double Entry = 0.0;
extern double TakeProfit = 200.0;
extern double StopLoss = 150;
extern bool UseActualSlTp = TRUE;
extern double StopLossPrice = 0.0;
extern double TakeProfitPrice = 0.0;
extern int NumberOfOrders = 1;
extern bool MicroOrdersAllowed = TRUE;
extern bool MiniOrdersAllowed = TRUE;
extern bool UseMoneyMgmt = TRUE;
extern double RiskPercent = 5.0;
extern string Note = "0 in Entry field means Market Order Buy";
extern string Comments = "Buy (mm)";

double pointvalue;



int start() {
if (Digits == 4 || Digits == 2) pointvalue = Point;
else if (Digits == 5 || Digits == 3) pointvalue = 10.0 * Point;
double ld_0 = RiskPercent / 100.0;
int li_8 = 0;
int l_cmd_12 = 4;
if (Ask > Entry && Entry > 0.0) l_cmd_12 = 2;
if (Entry == 0.0) {
Entry = Ask;
l_cmd_12 = 0;
}
double l_price_16 = Entry - StopLoss * pointvalue;
double l_price_24 = Entry + TakeProfit * pointvalue;
if (UseActualSlTp) {
StopLoss = (Entry - StopLossPrice) / pointvalue;
l_price_16 = StopLossPrice;
l_price_24 = TakeProfitPrice;
}
if (MiniOrdersAllowed) li_8 = 1;
if (MicroOrdersAllowed) li_8 = 2;
if (UseMoneyMgmt) Lots = NormalizeDouble(AccountBalance() * ld_0 / StopLoss / MarketInfo(Symbol(), MODE_TICKVALUE), li_8);
if ((Lots < 0.01 && MicroOrdersAllowed) || (Lots < 0.1 && MiniOrdersAllowed && MicroOrdersAllowed == FALSE)) Comment("YOUR LOTS SIZE IS TOO SMALL TO PLACE!");
if (Lots > 0.0) for (int l_count_32 = 0; l_count_32 < NumberOfOrders; l_count_32++) OrderSend(Symbol(), l_cmd_12, Lots, Entry, 2, l_price_16, l_price_24, Comments, 0, 0, LimeGreen);
return (0);
}



